Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Classes | Public Types | Public Member Functions | List of all members
LatBuilder::SeqCombiner< SEQ, INCREMENT > Class Template Reference

Multidimensional sequence composed of unidimensional sequences. More...

`#include <SeqCombiner.h>`

## Classes
class | const_iterator
| Constant iterator. More...

## Public Types
typedef SEQ | Seq
typedef std::vector< typename Seq::value_type > | value_type
typedef Seq::size_type | size_type

## Public Member Functions
| SeqCombiner (std::vector< Seq > seqs)
| Constructor. More...
const std::vector< Seq > & | seqs () const
| Returns the vector of unidimensional sequences.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the sequence.
const_iterator | end () const
| Returns an iterator pointing past the last element in the sequence.

## Detailed Description

### template<typename SEQ, template< typename > class INCREMENT>
class LatBuilder::SeqCombiner< SEQ, INCREMENT >

Multidimensional sequence composed of unidimensional sequences.

Template Parameters

  SEQ | Type of unidimensional sequence.
  POLICY | Iterator incrementing policy. If set to CartesianProduct, the output values of the compound sequence are all values from the Cartesian product of the input unidimensional sequences. If set to Zip, the \(i\)-th output value is a vector whose \(j\)-th component consist of the \(i\)-th value of the \(j\)-th input sequence.

## Constructor & Destructor Documentation

template<typename SEQ, template< typename > class INCREMENT>

LatBuilder::SeqCombiner< SEQ, INCREMENT >::SeqCombiner | ( | std::vector< Seq > | seqs | ) |
| inline

Constructor.

Parameters

  seqs | Container of unidimenisonal sequences.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/SeqCombiner.h